import { DataSanitizer } from '../core/validator.interface';
import { AbstractControl } from "../abstract/abstract-control";
export declare class RxFormControl extends AbstractControl {
    private entityObject;
    private baseObject;
    private _sanitizers;
    private keyName;
    private _errorMessage;
    private _errorMessages;
    private _disableProvider;
    private _columns;
    private _childColumns;
    private _parentColumns;
    private _refDisableControls;
    private _refMessageControls;
    private _refClassNameControls;
    private _errorMessageBindingStrategy;
    private _messageExpression;
    private _classNameExpression;
    private _isPassedExpression;
    private _controlProp;
    private _classNameControlProp;
    private _baseValue;
    private _isModified;
    updateOnElementClass: boolean | Function;
    preHook: Function;
    postHook: Function;
    readonly path: string;
    readonly errorMessages: string[];
    readonly errorMessage: string | undefined;
    constructor(formState: any, validator: any[], asyncValidator: any[], entityObject: {
        [key: string]: any;
    }, baseObject: {
        [key: string]: any;
    }, controlName: string, _sanitizers: DataSanitizer[]);
    private getFormState;
    readonly isModified: boolean;
    setValue(value: any, options?: {
        dirty?: boolean;
        updateChanged?: boolean;
        onlySelf?: boolean;
        emitEvent?: boolean;
        isThroughDynamic?: boolean;
    }): void;
    getControlValue(): any;
    bindError(): void;
    bindClassName(): void;
    markAsTouched(opts?: {
        onlySelf?: boolean;
    }): void;
    markAsUntouched(opts?: {
        onlySelf?: boolean;
    }): void;
    markAsDirty(opts?: {
        onlySelf?: boolean;
    }): void;
    markAsPristine(opts?: {
        onlySelf?: boolean;
    }): void;
    runControlPropChangeExpression(propNames: string[]): void;
    refresh(): void;
    reset(value?: any): void;
    commit(): void;
    private callPatch;
    private checkErrorMessageStrategy;
    private executeExpressions;
    private getMessageExpression;
    private getSanitizedValue;
    private bindConditionalControls;
    private setControlErrorMessages;
    private getErrorMessage;
    private processExpression;
    private executeExpression;
    private getValue;
}
